<img src="https://raw.githubusercontent.com/colobot/colobot-misc/master/logos/ColobotGE-logo.svg" align="center">

<div align="center">
  <a href="https://colobot.info/"><img src="https://img.shields.io/badge/colobot.info-F5C700.svg?logo=wordpress&logoColor=white" alt="colobot.info"></a>
  <a href="https://discord.gg/56Fm9kb"><img src="https://img.shields.io/badge/Discord-5865F2.svg?logo=discord&logoColor=white" alt="Discord"></a>
  <a href="https://github.com/colobot/colobot/discussions"><img src="https://img.shields.io/badge/Discussions-24292F.svg?logo=github" alt="GitHub Discussions"></a>
  <a href="https://www.moddb.com/games/colobot-gold-edition"><img src="https://img.shields.io/badge/ModDB-CC0000.svg?logo=modrinth&logoColor=white" alt="ModDB"></a>
  <a href="https://www.youtube.com/@Colobot"><img src="https://img.shields.io/badge/YouTube-EA3223.svg?logo=youtube" alt="YouTube"></a>
  <a href="https://www.reddit.com/r/Colobot"><img src="https://img.shields.io/badge/Reddit-FF4300.svg?logo=reddit&logoColor=white" alt="Reddit"></a>
  <a href="https://twitter.com/ColobotGame"><img src="https://img.shields.io/badge/Twitter-009EF7.svg?logo=twitter&logoColor=white" alt="Twitter"></a>
  <a href="https://www.facebook.com/colobotgame"><img src="https://img.shields.io/badge/Facebook-1877F2.svg?logo=facebook&logoColor=white" alt="Facebook"></a>
</div>

This is the main repository for the open-source _Colobot: Gold Edition_ project developed by [TerranovaTeam](https://github.com/orgs/colobot/people) and community contributors, based on the original game by [Epsitec](https://www.epsitec.ch).

This repository contains only the source code of the project. The game also requires data files which are provided as a git submodule and are hosted in a [separate repository](https://github.com/colobot/colobot-data).

## Features

- Multiplatform - play the game on any modern OS.
- New game modes - challenge yourself in _Missions+_ or challenge your friends in _CodeBattles_.
- Mod support - download custom levels and assets from [our ModDB page](https://www.moddb.com/games/colobot-gold-edition).
- Improved visuals, QoL additions, bug fixes, and [other improvements](https://colobot.info/category/news/updates).

## Download

### Stable releases

Official builds for Windows, Linux, MacOS are available here:\
[![Latest release](https://img.shields.io/github/v/release/colobot/colobot.svg?color=F5C700)](https://colobot.info/download-colobot-gold)

Linux packages:\
[![latest packaged version(s)](https://repology.org/badge/latest-versions/colobot.svg)](https://repology.org/project/colobot/versions)\
[![Debian Unstable package](https://repology.org/badge/version-for-repo/debian_unstable/colobot.svg)](http://packages.debian.org/sid/colobot)\
[![AUR package](https://repology.org/badge/version-for-repo/aur/colobot-gold.svg)](https://aur.archlinux.org/packages/colobot-gold)\
[![openSUSE games Tumbleweed package](https://repology.org/badge/version-for-repo/opensuse_games_tumbleweed/colobot.svg)](http://software.opensuse.org/download.html?project=games&package=colobot)\
[![Fedora Rawhide package](https://repology.org/badge/version-for-repo/fedora_rawhide/colobot.svg)](https://src.fedoraproject.org/rpms/colobot)\
[![GNU Guix package](https://repology.org/badge/version-for-repo/gnuguix/colobot.svg)](https://packages.guix.gnu.org/packages/colobot)\
[![Void Linux x86_64 package](https://repology.org/badge/version-for-repo/void_x86_64/colobot.svg)](https://github.com/void-linux/void-packages/tree/master/srcpkgs/colobot)

### Development builds

Development builds are compiled every push to the repository by GitHub Actions:\
[![Workflows](https://img.shields.io/github/last-commit/colobot/colobot/dev.svg)](https://github.com/colobot/colobot/actions)

## Compiling from source

Instructions on how to build the game from sources are available for the following environments:
- [Linux](https://github.com/colobot/colobot/blob/dev/INSTALL.md)
- [Windows (MSYS2)](https://github.com/colobot/colobot/blob/dev/INSTALL-MSYS2.md)
- [Windows (MSVC)](https://github.com/colobot/colobot/wiki/How-to-Build-Colobot%3A-Gold-Edition-Using-MSVC)
- [MacOS](https://github.com/colobot/colobot/blob/dev/INSTALL-MacOSX.md)

## Contributing

If you want to contribute to the project, see [CONTRIBUTING.md](CONTRIBUTING.md).
